Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class DataTypeSpec

    java.lang.Object
      org.objectstyle.cayenne.dataview.DataTypeSpec

    public class DataTypeSpec

extends java.lang.Object

Field Summary
`protected java.util.Map` | `dataTypeClassMap`
`protected java.text.Format` | `dateFormat`
`protected java.text.Format` | `dateTimeFormat`

Constructor Summary
`DataTypeSpec()`

Method Summary
`java.lang.Object` | `create(DataTypeEnum dataType)`
`java.lang.Object` | `create(DataTypeEnum dataType, java.lang.Object[] arguments)`
`java.lang.Object` | `create(DataTypeEnum dataType, java.lang.String argument)`
`java.lang.Object` | `fromDataType(java.lang.Class untypedValueClass, DataTypeEnum dataType, java.lang.Object typedValue)`
`DataTypeEnum` | `getDataType(int dataType)`
`DataTypeEnum` | `getDataType(java.lang.String dataType)`
`java.lang.Class` | `getJavaClass(DataTypeEnum dataType)`
`java.lang.Object` | `toDataType(DataTypeEnum dataType, java.lang.Object untypedValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataTypeClassMap

    protected java.util.Map dataTypeClassMap

### dateFormat

    protected java.text.Format dateFormat

### dateTimeFormat

    protected java.text.Format dateTimeFormat

Constructor Detail

### DataTypeSpec

    public DataTypeSpec()

Method Detail

### getDataType

    public DataTypeEnum getDataType(java.lang.String dataType)

### getDataType

    public DataTypeEnum getDataType(int dataType)

### getJavaClass

    public java.lang.Class getJavaClass(DataTypeEnum dataType)

### create

    public java.lang.Object create(DataTypeEnum dataType)

### create

    public java.lang.Object create(DataTypeEnum dataType,
                                   java.lang.String argument)

### create

    public java.lang.Object create(DataTypeEnum dataType,
                                   java.lang.Object[] arguments)

### toDataType

    public java.lang.Object toDataType(DataTypeEnum dataType,
                                       java.lang.Object untypedValue)

### fromDataType

    public java.lang.Object fromDataType(java.lang.Class untypedValueClass,
                                         DataTypeEnum dataType,
                                         java.lang.Object typedValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.